GNU bug report logs - #29925
[PATCH 3/5] guix package: Disable profile hooks on dry runs.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: 宋文武 <iyzsong@HIDDEN>; Keywords: patch; merged with #29926, #29929, #29930; dated Mon, 1 Jan 2018 10:34:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 29925 29926 29929 29930. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 29925 29926 29929. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 29925 29926. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 29925 <at> debbugs.gnu.org:


Received: (at 29925) by debbugs.gnu.org; 1 Jan 2018 13:36:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 08:36:38 2018
Received: from localhost ([127.0.0.1]:59333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eW0Gc-0007PH-LQ
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 08:36:38 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:44488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1eW0Gb-0007PA-Ff
 for 29925 <at> debbugs.gnu.org; Mon, 01 Jan 2018 08:36:37 -0500
Received: from localhost (178.113.223.176.wireless.dyn.drei.com
 [178.113.223.176])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 1EDDD33600F4;
 Mon,  1 Jan 2018 14:36:36 +0100 (CET)
Date: Mon, 1 Jan 2018 14:36:34 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: =?UTF-8?Q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
Subject: Re: [bug#29925] [PATCH 3/5] guix package: Disable profile hooks on
 dry runs.
Message-ID: <20180101143634.4d22a8b8@HIDDEN>
In-Reply-To: <20180101103336.8613-4-iyzsong@HIDDEN>
References: <20180101103336.8613-1-iyzsong@HIDDEN>
 <20180101103336.8613-4-iyzsong@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  LGTM! [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [85.13.145.193 listed in list.dnswl.org]
 2.5 BODY_SINGLE_WORD       Message body is only one word (no spaces)
X-Debbugs-Envelope-To: 29925
Cc: 29925 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  LGTM! [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [85.13.145.193 listed in list.dnswl.org]
  2.5 BODY_SINGLE_WORD       Message body is only one word (no spaces)

LGTM!




Information forwarded to guix-patches@HIDDEN:
bug#29925; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jan 2018 10:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 05:33:59 2018
Received: from localhost ([127.0.0.1]:59247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVxPr-0000t6-4D
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPp-0000sa-SJ
 for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPj-0004Pg-Ms
 for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57529)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <iyzsong@HIDDEN>)
 id 1eVxPj-0004PV-KU
 for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:51 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48733)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPi-0006LG-HF
 for guix-patches@HIDDEN; Mon, 01 Jan 2018 05:33:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPg-0004Na-9P
 for guix-patches@HIDDEN; Mon, 01 Jan 2018 05:33:50 -0500
Received: from rezeros.cc ([45.76.207.221]:56206)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <iyzsong@HIDDEN>)
 id 1eVxPf-0004LU-RL
 for guix-patches@HIDDEN; Mon, 01 Jan 2018 05:33:48 -0500
Received: from localhost (36.24.33.173 [36.24.33.173])
 by rezeros.cc (OpenSMTPD) with ESMTPSA id 0496bbb0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 1 Jan 2018 10:33:18 +0000 (UTC)
Received: from localhost.localdomain (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id f60edad8;
 Mon, 1 Jan 2018 10:33:37 +0000 (UTC)
From: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 3/5] guix package: Disable profile hooks on dry runs.
Date: Mon,  1 Jan 2018 18:33:34 +0800
Message-Id: <20180101103336.8613-4-iyzsong@HIDDEN>
X-Mailer: git-send-email 2.14.1
In-Reply-To: <20180101103336.8613-1-iyzsong@HIDDEN>
References: <20180101103336.8613-1-iyzsong@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Profile hooks will access the content of manifest inputs before return the
profile derivation, disable them so we don't get inputs bulit on dry runs.

* guix/scripts/package.scm (build-and-use-profile): Disable profile hooks when
a dry-run parameter is given.
---
 guix/scripts/package.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/scripts/package.scm b/guix/scripts/package.scm
index 617e102d9..ce0031551 100644
--- a/guix/scripts/package.scm
+++ b/guix/scripts/package.scm
@@ -203,7 +203,7 @@ specified in MANIFEST, a manifest object."
 
   (let* ((prof-drv (run-with-store store
                      (profile-derivation manifest
-                                         #:hooks (if bootstrap?
+                                         #:hooks (if (or bootstrap? dry-run?)
                                                      '()
                                                      %default-profile-hooks)
                                          #:locales? (not bootstrap?))))
-- 
2.13.3





Acknowledgement sent to 宋文武 <iyzsong@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#29925; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Mar 2018 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.